000029287 - AM 8.1: failed to launch update installer to apply the update AM 8.1 P04 & P05

Document created by RSA Customer Support Employee on Jun 15, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 3Show Document
  • View in full screen mode

Article Content

Article Number000029287
Applies ToRSA Product Set: SecurID
RSA Product/Service Type: Authentication Manager
RSA Version/Condition: 8.1.0
Platform: Other
Platform (Other): .
O/S Version: Other
Product Name: RSA-0010810
Product Description: RSA-0010810
IssueInstall service patch 4 onto am 8.1. Error: failed to launch update installer to apply the update AM 8.1 P04 , Same with P5.  Also seen at P1 and P3 as well as P5 for AM 8.0.

There was a problem processing your request.


Failed to launch the update installer to apply the update AM 8.1 P 05.
Failed to Launch


The following errors occurred: Failed to launch update installer.


Current StatusCurrent Status


Free Disk Space Check:
Required Free Disk Space: 4096MB
Actual Free Disk Space : 87112MB
Caching update to /opt/rsa/am/updates/iso/UPLOAD-8.1.0.5.0-build1372085.iso
[INFO] Mounting device ISO to /tmp/rsa_update/iso.
[INFO] mount: warning: /tmp/rsa_update/iso seems to be mounted read-only.
Verifying the integrity of the update


Invoking config engine goal UpdateInstaller:prepare


taskerror
{{task.error}}

FATAL:
Update Installer did not start within 30 seconds. Expression: (ant.antProject.properties.launcherTimeout != true)
java.lang.AssertionError: Update Installer did not start within 30 seconds. Expression: (ant.antProject.properties.launcherTimeout != true)


Configuration step UpdateInstaller:launch [FAILED]
Error: Failed to invoke update engine: Failed to execute config goal
[INFO] Unmounting device ISO from /tmp/rsa_update/iso.
[INFO]
Failed to launch the update installer to apply the update AM 8.1 P<n>

Causeunknown
Update 1/26/2015 - possibly related to KB 000029488 - Unable_to_attach_8.1_SP1_replica
which has a root cause of 
a left over 32-bit /lib/libreadline.so.5, which needed to be deleted for SQL commands to execute
 
ResolutionAM-28569 opened, update that one customer found work-around with AM 8.1 SP1
WorkaroundEither upgrade to AM 8.1 SP1 or backup AM 8.1 and deploy new AM 8.1 SP1 then import restore the database

Attachments

    Outcomes